Subject: Re: linux-next: build warnings after merge of Linus' tree

From: Peter Zijlstra <[email-masked]>
Date: Mon, 8 May 2023 09:50:55 +0200

On Sun, May 07, 2023 at 09:52:22PM -0700, Randy Dunlap wrote:
> 
> 
> On 5/7/23 21:49, Stephen Rothwell wrote:
> > Hi all,
> > 
> > While building Linus' tree, today's linux-next build (htmldocs)
> > produced these warnings:
> > 
> > kernel/sched/core.c:11496: warning: Cannot understand  * @cid_lock: Guarantee forward-progress of cid allocation.
> >  on line 11496 - I thought it was a doc line
> > kernel/sched/core.c:11505: warning: Cannot understand  * @use_cid_lock: Select cid allocation behavior: lock-free vs spinlock.
> >  on line 11505 - I thought it was a doc line
> > 
> > Introduced by commit
> > 
> >   223baf9d17f2 ("sched: Fix performance regression introduced by mm_cid")
> > 
> 
> I have sent a patch:
>   https://lore.kernel.org/lkml/[email-masked]
> but haven't seen any replies to it (possibly due to the merge window or travel).

I have it, and now that -rc1 is out the door, I'll queue it for -urgent.